import { createAggregatedClient } from "@smithy/smithy-client";
import { DeleteEarthObservationJobCommand, } from "./commands/DeleteEarthObservationJobCommand";
import { DeleteVectorEnrichmentJobCommand, } from "./commands/DeleteVectorEnrichmentJobCommand";
import { ExportEarthObservationJobCommand, } from "./commands/ExportEarthObservationJobCommand";
import { ExportVectorEnrichmentJobCommand, } from "./commands/ExportVectorEnrichmentJobCommand";
import { GetEarthObservationJobCommand, } from "./commands/GetEarthObservationJobCommand";
import { GetRasterDataCollectionCommand, } from "./commands/GetRasterDataCollectionCommand";
import { GetTileCommand } from "./commands/GetTileCommand";
import { GetVectorEnrichmentJobCommand, } from "./commands/GetVectorEnrichmentJobCommand";
import { ListEarthObservationJobsCommand, } from "./commands/ListEarthObservationJobsCommand";
import { ListRasterDataCollectionsCommand, } from "./commands/ListRasterDataCollectionsCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ListVectorEnrichmentJobsCommand, } from "./commands/ListVectorEnrichmentJobsCommand";
import { SearchRasterDataCollectionCommand, } from "./commands/SearchRasterDataCollectionCommand";
import { StartEarthObservationJobCommand, } from "./commands/StartEarthObservationJobCommand";
import { StartVectorEnrichmentJobCommand, } from "./commands/StartVectorEnrichmentJobCommand";
import { StopEarthObservationJobCommand, } from "./commands/StopEarthObservationJobCommand";
import { StopVectorEnrichmentJobCommand, } from "./commands/StopVectorEnrichmentJobCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { SageMakerGeospatialClient } from "./SageMakerGeospatialClient";
const commands = {
    DeleteEarthObservationJobCommand,
    DeleteVectorEnrichmentJobCommand,
    ExportEarthObservationJobCommand,
    ExportVectorEnrichmentJobCommand,
    GetEarthObservationJobCommand,
    GetRasterDataCollectionCommand,
    GetTileCommand,
    GetVectorEnrichmentJobCommand,
    ListEarthObservationJobsCommand,
    ListRasterDataCollectionsCommand,
    ListTagsForResourceCommand,
    ListVectorEnrichmentJobsCommand,
    SearchRasterDataCollectionCommand,
    StartEarthObservationJobCommand,
    StartVectorEnrichmentJobCommand,
    StopEarthObservationJobCommand,
    StopVectorEnrichmentJobCommand,
    TagResourceCommand,
    UntagResourceCommand,
};
export class SageMakerGeospatial extends SageMakerGeospatialClient {
}
createAggregatedClient(commands, SageMakerGeospatial);
