import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { ListVectorEnrichmentJobInputFilterSensitiveLog, ListVectorEnrichmentJobOutputFilterSensitiveLog, } from "../models/models_0";
import { de_ListVectorEnrichmentJobsCommand, se_ListVectorEnrichmentJobsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class ListVectorEnrichmentJobsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("SageMakerGeospatial", "ListVectorEnrichmentJobs", {})
    .n("SageMakerGeospatialClient", "ListVectorEnrichmentJobsCommand")
    .f(ListVectorEnrichmentJobInputFilterSensitiveLog, ListVectorEnrichmentJobOutputFilterSensitiveLog)
    .ser(se_ListVectorEnrichmentJobsCommand)
    .de(de_ListVectorEnrichmentJobsCommand)
    .build() {
}
